## org.apache.lucene.search.suggest
Class UnsortedTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
          org.apache.lucene.search.suggest.UnsortedTermFreqIteratorWrapper

All Implemented Interfaces:
  Iterator<String>, TermFreqIterator

    public class UnsortedTermFreqIteratorWrapper

extends BufferingTermFreqIteratorWrapper

This wrapper buffers the incoming elements and makes sure they are in random order.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`BufferingTermFreqIteratorWrapper.Entry`

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`curEntry, curPos, entries`

Constructor Summary
`UnsortedTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary

Methods inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`entries, freq, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsortedTermFreqIteratorWrapper

    public UnsortedTermFreqIteratorWrapper(TermFreqIterator source)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.